## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstDangerDirective

### Document::ezcDocumentRstDangerDirective

### Class ezcDocumentRstDangerDirective

Visitor for RST danger directives

Source for this file: /Document/src/document/rst/directive/danger.php

### Implements interfaces:

- ezcDocumentRstXhtmlDirective

    ezcDocumentRstDirective
       |
       --ezcDocumentRstDangerDirective

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentRstDirective
protected | `ezcDocumentRstDirective::$ast`
protected | `ezcDocumentRstDirective::$node`
protected | `ezcDocumentRstDirective::$path`
protected | `ezcDocumentRstDirective::$visitor`

### Method Summary

public void | `toDocbook( $document , $root )` Transform directive to docbook
public void | `toXhtml( $document , $root )` Transform directive to HTML

### Inherited Methods

From ezcDocumentRstDirective
public void | `ezcDocumentRstDirective::__construct()` Construct directive from AST and node
protected DOMDocument | `ezcDocumentRstDirective::parseTokens()` Parse directive token list with RST parser
public void | `ezcDocumentRstDirective::setSourceVisitor()` Set the calling vaisitor
public abstract void | `ezcDocumentRstDirective::toDocbook()` Transform directive to docbook

### Methods

#### toDocbook

void toDocbook( $document , $root )

Transform directive to docbook

Create a docbook XML structure at the directives position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentRstDirective::toDocbook()` | Transform directive to docbook

#### toXhtml

void toXhtml( $document , $root )

Transform directive to HTML

Create a XHTML structure at the directives position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Implementation of:

Method | Description
--- | ---
`ezcDocumentRstXhtmlDirective::toXhtml()` | Transform directive to HTML

Documentation generated by phpDocumentor 1.4.3